SoTransformVec3f(3)

NAME
SoTransformVec3f - The SoTransformVec3f class transforms 3D vectors by a matrix.

SYNOPSIS

#include <Inventor/engines/SoTransformVec3f.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoTransformVec3f (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFVec3f vector
SoMFMatrix matrix
SoEngineOutput point
SoEngineOutput direction
SoEngineOutput normalDirection

  Protected Member Functions
virtual ~SoTransformVec3f (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTransformVec3f class transforms 3D vectors by a matrix.

Constructor & Destructor Documentation

  SoTransformVec3f::SoTransformVec3f (void)
Default constructor.

  SoTransformVec3f::~SoTransformVec3f (void) [protected], [virtual]
Destructor is protected because explicit destruction of engines is not allowed.

Member Function Documentation

  SoType SoTransformVec3f::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTransformVec3f::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTransformVec3f::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoTransformVec3f::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoTransformVec3f::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoTransformVec3f::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoTransformVec3f::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoMFVec3f SoTransformVec3f::vector
Set of 3D vector inputs to transform.

  SoMFMatrix SoTransformVec3f::matrix
Set of transformation matrices to use on the vectors.

  SoEngineOutput SoTransformVec3f::point
(SoMFVec3f) Transformed points.

  SoEngineOutput SoTransformVec3f::direction
(SoMFVec3f) Transformed vector directions.

  SoEngineOutput SoTransformVec3f::normalDirection
(SoMFVec3f) Normalized transformed vector directions.

Author

Generated automatically by Doxygen for Coin from the source code.